package com.goafanti.common.model;

import com.goafanti.common.constant.AFTConstants;
import org.apache.commons.lang3.time.DateFormatUtils;

import java.util.Date;


/**
 * (Admin)实体类
 *
 * @author makejava
 * @since 2024-12-09 15:16:51
 */
public class Admin extends BaseModel implements AftUser{

    private String id;
    /**
     * 手机号(登录帐号)
     */
    private String mobile;
    /**
     * 用户名
     */
    private String name;
    /**
     * 密码
     */
    private String password;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 创建时间
     */
    private Date createTime;

    private Integer number;
    /**
     * 所在省份
     */
    private String province;
    /**
     * 职位 0=咨询，1=营销，2=外联，3=财务，4=助理，5=管理，6=工程师，7=人事，8=行政，9=内勤，10=业务
     */
    private String position;
    /**
     * 上级管理用户ID
     */
    private String superiorId;
    /**
     * 所在市
     */
    private String city;
    /**
     * 部门ID
     */
    private String departmentId;
    /**
     * 用户状态
     */
    private String status;
    /**
     * 用户编号
     */
    private String userNo;
    /**
     * 职务
     */
    private String duty;
    /**
     * 地区
     */
    private String district;
    /**
     * 用户头像地址
     */
    private String headPortraitUrl;
    /**
     * 联系电话
     */
    private String contactMobile;
    /**
     * 最后登录时间
     */
    private Date lastLoginTime;
    /**
     * 打卡小程序微信公共编号
     */
    private String openId;
    /**
     * 0普通 1营销 2财务 3咨询
     */
    private Integer type;
    /**
     * 公出审核人
     */
    private String reviewer;
    /**
     * 阿米巴编号
     */
    private String ambId;
    /**
     * 阿米巴权限
     */
    private String ambRole;
    /**
     * 阿米巴管理者 0巴员 1巴主
     */
    private Integer ambManage;
    /**
     * 经理审核人员
     */
    private String managerId;
    /**
     * 员工分类 0新员工 1老员工
     */
    private Integer seniorStaff;
    /**
     * 公出权限 0正常 1全部
     */
    private Integer publicPurview;
    /**
     * 报销小程序微信公共编号
     */
    private String expenseOpenId;
    /**
     * 报销上级审核 0-不需要 ，1-需要
     */
    private Integer expenseSuperExamine;
    /**
     * 公出抄送人
     */
    private String publicCarbonCopy;
    /**
     * 外呼号码
     */
    private String callNo;
    /**
     * 团队编号
     */
    private Integer teamId;

    private String	teamName;
    private String	superior;
    private String reviewerName;

    private  String managerName;
    private  String publicCarbonCopyName;

    private static final long serialVersionUID = 1L;

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getPublicCarbonCopyName() {
        return publicCarbonCopyName;
    }

    public void setPublicCarbonCopyName(String publicCarbonCopyName) {
        this.publicCarbonCopyName = publicCarbonCopyName;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public String getReviewerName() {
        return reviewerName;
    }

    public void setReviewerName(String reviewerName) {
        this.reviewerName = reviewerName;
    }

    public String getSuperior() {
        return superior;
    }

    public void setSuperior(String superior) {
        this.superior = superior;
    }

    // 创建时间
    public String getCreateTimeFormattedDate() {
        if (this.createTime == null) {
            return null;
        } else {
            return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
        }
    }
    @Override
    public String getAid() {
        return getId();
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getSuperiorId() {
        return superiorId;
    }

    public void setSuperiorId(String superiorId) {
        this.superiorId = superiorId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo;
    }

    public String getDuty() {
        return duty;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getHeadPortraitUrl() {
        return headPortraitUrl;
    }

    public void setHeadPortraitUrl(String headPortraitUrl) {
        this.headPortraitUrl = headPortraitUrl;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getReviewer() {
        return reviewer;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer;
    }

    public String getAmbId() {
        return ambId;
    }

    public void setAmbId(String ambId) {
        this.ambId = ambId;
    }

    public String getAmbRole() {
        return ambRole;
    }

    public void setAmbRole(String ambRole) {
        this.ambRole = ambRole;
    }

    public Integer getAmbManage() {
        return ambManage;
    }

    public void setAmbManage(Integer ambManage) {
        this.ambManage = ambManage;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public Integer getSeniorStaff() {
        return seniorStaff;
    }

    public void setSeniorStaff(Integer seniorStaff) {
        this.seniorStaff = seniorStaff;
    }

    public Integer getPublicPurview() {
        return publicPurview;
    }

    public void setPublicPurview(Integer publicPurview) {
        this.publicPurview = publicPurview;
    }

    public String getExpenseOpenId() {
        return expenseOpenId;
    }

    public void setExpenseOpenId(String expenseOpenId) {
        this.expenseOpenId = expenseOpenId;
    }

    public Integer getExpenseSuperExamine() {
        return expenseSuperExamine;
    }

    public void setExpenseSuperExamine(Integer expenseSuperExamine) {
        this.expenseSuperExamine = expenseSuperExamine;
    }

    public String getPublicCarbonCopy() {
        return publicCarbonCopy;
    }

    public void setPublicCarbonCopy(String publicCarbonCopy) {
        this.publicCarbonCopy = publicCarbonCopy;
    }

    public String getCallNo() {
        return callNo;
    }

    public void setCallNo(String callNo) {
        this.callNo = callNo;
    }

    public Integer getTeamId() {
        return teamId;
    }

    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

}

